language: go

go:
  - 1.6.x
  - 1.7.x
  - 1.8.x
  - 1.9.x

go_import_path: google.golang.org/appengine

install:
  - go get -u -v $(go list -f '{{join .Imports "\n"}}{{"\n"}}{{join .TestImports "\n"}}' ./... | sort | uniq | grep -v appengine)
  - mkdir /tmp/sdk
  - curl -o /tmp/sdk.zip "https://storage.googleapis.com/appengine-sdks/featured/go_appengine_sdk_linux_amd64-1.9.40.zip"
  - unzip -q /tmp/sdk.zip -d /tmp/sdk
  - export PATH="$PATH:/tmp/sdk/go_appengine"
  - export APPENGINE_DEV_APPSERVER=/tmp/sdk/go_appengine/dev_appserver.py

script:
  - goapp version
  - go version
  - go test -v google.golang.org/appengine/...
  - go test -v -race google.golang.org/appengine/...
  - goapp test -v google.golang.org/appengine/...
